<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>Framework: framework::sensor::JoyReference Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classframework_1_1sensor_1_1_joy_reference.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classframework_1_1sensor_1_1_joy_reference-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">framework::sensor::JoyReference Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Class creating references from a joystick.  
 <a href="classframework_1_1sensor_1_1_joy_reference.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_joy_reference_8h_source.html">JoyReference.h</a>&gt;</code></p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Inheritance diagram for framework::sensor::JoyReference:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
 <div class="center">
  <img src="classframework_1_1sensor_1_1_joy_reference.png" usemap="#framework::sensor::JoyReference_map" alt=""/>
  <map id="framework::sensor::JoyReference_map" name="framework::sensor::JoyReference_map">
<area href="classframework_1_1core_1_1_i_o_device.html" title="Abstract class for input/ouput system. " alt="framework::core::IODevice" shape="rect" coords="0,56,201,80"/>
<area href="classframework_1_1core_1_1_object.html" title="Base class for all Framework&#39;s classes. " alt="framework::core::Object" shape="rect" coords="0,0,201,24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:af7e7ad7389edb9c5aee043017161e946"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1sensor_1_1_joy_reference.html#af7e7ad7389edb9c5aee043017161e946">JoyReference</a> (const <a class="el" href="classframework_1_1gui_1_1_layout_position.html">gui::LayoutPosition</a> *position, std::string name)</td></tr>
<tr class="memdesc:af7e7ad7389edb9c5aee043017161e946"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#af7e7ad7389edb9c5aee043017161e946">More...</a><br /></td></tr>
<tr class="separator:af7e7ad7389edb9c5aee043017161e946"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a568e6b551b56ef7dfefe73c80fc58f0e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1sensor_1_1_joy_reference.html#a568e6b551b56ef7dfefe73c80fc58f0e">~JoyReference</a> ()</td></tr>
<tr class="memdesc:a568e6b551b56ef7dfefe73c80fc58f0e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#a568e6b551b56ef7dfefe73c80fc58f0e">More...</a><br /></td></tr>
<tr class="separator:a568e6b551b56ef7dfefe73c80fc58f0e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5c6a901d5e4fb9b04871020f4e9aaff6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1sensor_1_1_joy_reference.html#a5c6a901d5e4fb9b04871020f4e9aaff6">SetRollAxis</a> (float value)</td></tr>
<tr class="memdesc:a5c6a901d5e4fb9b04871020f4e9aaff6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set roll axis value.  <a href="#a5c6a901d5e4fb9b04871020f4e9aaff6">More...</a><br /></td></tr>
<tr class="separator:a5c6a901d5e4fb9b04871020f4e9aaff6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad7ea452d0ffd8bb5852d68db3333c38a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1sensor_1_1_joy_reference.html#ad7ea452d0ffd8bb5852d68db3333c38a">SetPitchAxis</a> (float value)</td></tr>
<tr class="memdesc:ad7ea452d0ffd8bb5852d68db3333c38a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set pitch axis value.  <a href="#ad7ea452d0ffd8bb5852d68db3333c38a">More...</a><br /></td></tr>
<tr class="separator:ad7ea452d0ffd8bb5852d68db3333c38a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7465c06915d68feb443faff90dffb5fc"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1sensor_1_1_joy_reference.html#a7465c06915d68feb443faff90dffb5fc">SetYawAxis</a> (float value)</td></tr>
<tr class="memdesc:a7465c06915d68feb443faff90dffb5fc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set yaw axis value.  <a href="#a7465c06915d68feb443faff90dffb5fc">More...</a><br /></td></tr>
<tr class="separator:a7465c06915d68feb443faff90dffb5fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3f64478de309fdac809acb869e142b6d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1sensor_1_1_joy_reference.html#a3f64478de309fdac809acb869e142b6d">SetAltitudeAxis</a> (float value)</td></tr>
<tr class="memdesc:a3f64478de309fdac809acb869e142b6d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set thrust axis value.  <a href="#a3f64478de309fdac809acb869e142b6d">More...</a><br /></td></tr>
<tr class="separator:a3f64478de309fdac809acb869e142b6d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2e18dfe709d1f4ddea410eb5a1258b81"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1sensor_1_1_joy_reference.html#a2e18dfe709d1f4ddea410eb5a1258b81">QuaternionRef</a> (<a class="el" href="classframework_1_1core_1_1_quaternion.html">core::Quaternion</a> &amp;quat) const </td></tr>
<tr class="memdesc:a2e18dfe709d1f4ddea410eb5a1258b81"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get quaternion reference.  <a href="#a2e18dfe709d1f4ddea410eb5a1258b81">More...</a><br /></td></tr>
<tr class="separator:a2e18dfe709d1f4ddea410eb5a1258b81"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa6109ba59cc6da5a4a8e4b1a473eaf67"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1sensor_1_1_joy_reference.html#aa6109ba59cc6da5a4a8e4b1a473eaf67">WzRef</a> (void) const </td></tr>
<tr class="memdesc:aa6109ba59cc6da5a4a8e4b1a473eaf67"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get angular speed reference.  <a href="#aa6109ba59cc6da5a4a8e4b1a473eaf67">More...</a><br /></td></tr>
<tr class="separator:aa6109ba59cc6da5a4a8e4b1a473eaf67"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a12e5ab81958567ca3b573dc556c468ef"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1sensor_1_1_joy_reference.html#a12e5ab81958567ca3b573dc556c468ef">ZRef</a> (void) const </td></tr>
<tr class="memdesc:a12e5ab81958567ca3b573dc556c468ef"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get z reference.  <a href="#a12e5ab81958567ca3b573dc556c468ef">More...</a><br /></td></tr>
<tr class="separator:a12e5ab81958567ca3b573dc556c468ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac1c845dcaffafa00ca26bf68f5159716"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1sensor_1_1_joy_reference.html#ac1c845dcaffafa00ca26bf68f5159716">DzRef</a> (void) const </td></tr>
<tr class="memdesc:ac1c845dcaffafa00ca26bf68f5159716"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get z derivative reference.  <a href="#ac1c845dcaffafa00ca26bf68f5159716">More...</a><br /></td></tr>
<tr class="separator:ac1c845dcaffafa00ca26bf68f5159716"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa8f84b283f942b0cf3bd06330f74b368"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1sensor_1_1_joy_reference.html#aa8f84b283f942b0cf3bd06330f74b368">RollTrim</a> (void) const </td></tr>
<tr class="memdesc:aa8f84b283f942b0cf3bd06330f74b368"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get roll trim.  <a href="#aa8f84b283f942b0cf3bd06330f74b368">More...</a><br /></td></tr>
<tr class="separator:aa8f84b283f942b0cf3bd06330f74b368"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5a8d0fbb7d2d73bde828eb95da1cb6d4"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1sensor_1_1_joy_reference.html#a5a8d0fbb7d2d73bde828eb95da1cb6d4">PitchTrim</a> (void) const </td></tr>
<tr class="memdesc:a5a8d0fbb7d2d73bde828eb95da1cb6d4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get pitch trim.  <a href="#a5a8d0fbb7d2d73bde828eb95da1cb6d4">More...</a><br /></td></tr>
<tr class="separator:a5a8d0fbb7d2d73bde828eb95da1cb6d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a50fecb8409dfe8d2887abec507eda8b8"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1sensor_1_1_joy_reference.html#a50fecb8409dfe8d2887abec507eda8b8">SetYawRef</a> (float value)</td></tr>
<tr class="memdesc:a50fecb8409dfe8d2887abec507eda8b8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set yaw reference.  <a href="#a50fecb8409dfe8d2887abec507eda8b8">More...</a><br /></td></tr>
<tr class="separator:a50fecb8409dfe8d2887abec507eda8b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a15f682625ebab5d425a07679c9742711"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1sensor_1_1_joy_reference.html#a15f682625ebab5d425a07679c9742711">SetYawRef</a> (<a class="el" href="classframework_1_1core_1_1_quaternion.html">core::Quaternion</a> const &amp;value)</td></tr>
<tr class="memdesc:a15f682625ebab5d425a07679c9742711"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set yaw reference.  <a href="#a15f682625ebab5d425a07679c9742711">More...</a><br /></td></tr>
<tr class="separator:a15f682625ebab5d425a07679c9742711"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab0c475744dd24a148f5cf02900c51547"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1sensor_1_1_joy_reference.html#ab0c475744dd24a148f5cf02900c51547">SetZRef</a> (float value)</td></tr>
<tr class="memdesc:ab0c475744dd24a148f5cf02900c51547"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set z reference.  <a href="#ab0c475744dd24a148f5cf02900c51547">More...</a><br /></td></tr>
<tr class="separator:ab0c475744dd24a148f5cf02900c51547"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a178b15ed7b9948258acaeb3bfe943922"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1sensor_1_1_joy_reference.html#a178b15ed7b9948258acaeb3bfe943922">RollTrimUp</a> (void)</td></tr>
<tr class="memdesc:a178b15ed7b9948258acaeb3bfe943922"><td class="mdescLeft">&#160;</td><td class="mdescRight">Trim up roll.  <a href="#a178b15ed7b9948258acaeb3bfe943922">More...</a><br /></td></tr>
<tr class="separator:a178b15ed7b9948258acaeb3bfe943922"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae0738048547a2f069cdc02cfd9d2ed76"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1sensor_1_1_joy_reference.html#ae0738048547a2f069cdc02cfd9d2ed76">RollTrimDown</a> (void)</td></tr>
<tr class="memdesc:ae0738048547a2f069cdc02cfd9d2ed76"><td class="mdescLeft">&#160;</td><td class="mdescRight">Trim down roll.  <a href="#ae0738048547a2f069cdc02cfd9d2ed76">More...</a><br /></td></tr>
<tr class="separator:ae0738048547a2f069cdc02cfd9d2ed76"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0f37b3dff0b30514141353f0c3067f6f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1sensor_1_1_joy_reference.html#a0f37b3dff0b30514141353f0c3067f6f">PitchTrimUp</a> (void)</td></tr>
<tr class="memdesc:a0f37b3dff0b30514141353f0c3067f6f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Trim up pitch.  <a href="#a0f37b3dff0b30514141353f0c3067f6f">More...</a><br /></td></tr>
<tr class="separator:a0f37b3dff0b30514141353f0c3067f6f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0ba2576ba656f40b2bc0a7cf7f0ecb97"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1sensor_1_1_joy_reference.html#a0ba2576ba656f40b2bc0a7cf7f0ecb97">PitchTrimDown</a> (void)</td></tr>
<tr class="memdesc:a0ba2576ba656f40b2bc0a7cf7f0ecb97"><td class="mdescLeft">&#160;</td><td class="mdescRight">Trim down pitch.  <a href="#a0ba2576ba656f40b2bc0a7cf7f0ecb97">More...</a><br /></td></tr>
<tr class="separator:a0ba2576ba656f40b2bc0a7cf7f0ecb97"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a586a8834831499a48e57443f78ed918f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classframework_1_1core_1_1cvmatrix.html">core::cvmatrix</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1sensor_1_1_joy_reference.html#a586a8834831499a48e57443f78ed918f">State</a> (void) const </td></tr>
<tr class="memdesc:a586a8834831499a48e57443f78ed918f"><td class="mdescLeft">&#160;</td><td class="mdescRight">State matrix.  <a href="#a586a8834831499a48e57443f78ed918f">More...</a><br /></td></tr>
<tr class="separator:a586a8834831499a48e57443f78ed918f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acdcd107c81c7e8803ae2290f2c6877aa"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1sensor_1_1_joy_reference.html#acdcd107c81c7e8803ae2290f2c6877aa">Update</a> (<a class="el" href="namespaceframework_1_1core.html#a556a09521d9b94e1c9f0bfe6744d611d">core::Time</a> time)</td></tr>
<tr class="memdesc:acdcd107c81c7e8803ae2290f2c6877aa"><td class="mdescLeft">&#160;</td><td class="mdescRight">Update references.  <a href="#acdcd107c81c7e8803ae2290f2c6877aa">More...</a><br /></td></tr>
<tr class="separator:acdcd107c81c7e8803ae2290f2c6877aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classframework_1_1core_1_1_i_o_device"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classframework_1_1core_1_1_i_o_device')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classframework_1_1core_1_1_i_o_device.html">framework::core::IODevice</a></td></tr>
<tr class="memitem:a38daac1daa593059f052e1f8fbca5644 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_i_o_device.html#a38daac1daa593059f052e1f8fbca5644">IODevice</a> (const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *parent, std::string name)</td></tr>
<tr class="memdesc:a38daac1daa593059f052e1f8fbca5644 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a38daac1daa593059f052e1f8fbca5644">More...</a><br /></td></tr>
<tr class="separator:a38daac1daa593059f052e1f8fbca5644 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aca7bca58d80d05ade95107d40cc54edd inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_i_o_device.html#aca7bca58d80d05ade95107d40cc54edd">~IODevice</a> ()</td></tr>
<tr class="memdesc:aca7bca58d80d05ade95107d40cc54edd inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#aca7bca58d80d05ade95107d40cc54edd">More...</a><br /></td></tr>
<tr class="separator:aca7bca58d80d05ade95107d40cc54edd inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7e7f5d82cab621b617ee19a268e19480 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_i_o_device.html#a7e7f5d82cab621b617ee19a268e19480">AddDeviceToLog</a> (const <a class="el" href="classframework_1_1core_1_1_i_o_device.html">IODevice</a> *device)</td></tr>
<tr class="memdesc:a7e7f5d82cab621b617ee19a268e19480 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Add an <a class="el" href="classframework_1_1core_1_1_i_o_device.html" title="Abstract class for input/ouput system. ">IODevice</a> to the logs.  <a href="#a7e7f5d82cab621b617ee19a268e19480">More...</a><br /></td></tr>
<tr class="separator:a7e7f5d82cab621b617ee19a268e19480 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5d6345ad826683212ecb8d182614a77f inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_i_o_device.html#a5d6345ad826683212ecb8d182614a77f">OutputToShMem</a> (bool enabled)</td></tr>
<tr class="memdesc:a5d6345ad826683212ecb8d182614a77f inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Send the output to a shared memory.  <a href="#a5d6345ad826683212ecb8d182614a77f">More...</a><br /></td></tr>
<tr class="separator:a5d6345ad826683212ecb8d182614a77f inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a64c45d0ae8937692acf28adaaa7a54b3 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a64c45d0ae8937692acf28adaaa7a54b3"></a>
virtual <a class="el" href="classframework_1_1core_1_1_data_type.html">DataType</a> const &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>GetInputDataType</b> () const </td></tr>
<tr class="separator:a64c45d0ae8937692acf28adaaa7a54b3 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8c60cdf6bb6b0bff895a785d2981fdf5 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8c60cdf6bb6b0bff895a785d2981fdf5"></a>
virtual <a class="el" href="classframework_1_1core_1_1_data_type.html">DataType</a> const &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>GetOutputDataType</b> () const </td></tr>
<tr class="separator:a8c60cdf6bb6b0bff895a785d2981fdf5 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classframework_1_1core_1_1_object"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classframework_1_1core_1_1_object')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td></tr>
<tr class="memitem:a97617b01df8aedc07b2ba46ef4988994 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a97617b01df8aedc07b2ba46ef4988994">Object</a> (const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *parent=NULL, std::string name=&quot;&quot;, std::string type=&quot;&quot;)</td></tr>
<tr class="memdesc:a97617b01df8aedc07b2ba46ef4988994 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a97617b01df8aedc07b2ba46ef4988994">More...</a><br /></td></tr>
<tr class="separator:a97617b01df8aedc07b2ba46ef4988994 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac934815b59eb1cf1a47bdb114fa86da0 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#ac934815b59eb1cf1a47bdb114fa86da0">~Object</a> ()</td></tr>
<tr class="memdesc:ac934815b59eb1cf1a47bdb114fa86da0 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#ac934815b59eb1cf1a47bdb114fa86da0">More...</a><br /></td></tr>
<tr class="separator:ac934815b59eb1cf1a47bdb114fa86da0 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae19cf04d95b4cabb8c6064375b15337f inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#ae19cf04d95b4cabb8c6064375b15337f">ObjectName</a> (void) const </td></tr>
<tr class="memdesc:ae19cf04d95b4cabb8c6064375b15337f inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name.  <a href="#ae19cf04d95b4cabb8c6064375b15337f">More...</a><br /></td></tr>
<tr class="separator:ae19cf04d95b4cabb8c6064375b15337f inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a49660b572cdbedc6a665d5d396ed00a1 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a49660b572cdbedc6a665d5d396ed00a1">ObjectType</a> (void) const </td></tr>
<tr class="memdesc:a49660b572cdbedc6a665d5d396ed00a1 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Type.  <a href="#a49660b572cdbedc6a665d5d396ed00a1">More...</a><br /></td></tr>
<tr class="separator:a49660b572cdbedc6a665d5d396ed00a1 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8dda2eca639eb56bb2c3f26de04f2678 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a8dda2eca639eb56bb2c3f26de04f2678">Parent</a> (void) const </td></tr>
<tr class="memdesc:a8dda2eca639eb56bb2c3f26de04f2678 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parent.  <a href="#a8dda2eca639eb56bb2c3f26de04f2678">More...</a><br /></td></tr>
<tr class="separator:a8dda2eca639eb56bb2c3f26de04f2678 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7fb6234586cd406b3bea93aadf01ba16 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a7fb6234586cd406b3bea93aadf01ba16">TypeChilds</a> (void) const </td></tr>
<tr class="memdesc:a7fb6234586cd406b3bea93aadf01ba16 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs of the same type.  <a href="#a7fb6234586cd406b3bea93aadf01ba16">More...</a><br /></td></tr>
<tr class="separator:a7fb6234586cd406b3bea93aadf01ba16 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee8de0c31d51e165fed466a4c8bcf6c4 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#aee8de0c31d51e165fed466a4c8bcf6c4">Childs</a> (void) const </td></tr>
<tr class="memdesc:aee8de0c31d51e165fed466a4c8bcf6c4 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs.  <a href="#aee8de0c31d51e165fed466a4c8bcf6c4">More...</a><br /></td></tr>
<tr class="separator:aee8de0c31d51e165fed466a4c8bcf6c4 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aec1974099e78e731ba9c3dd1ed05de94 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#aec1974099e78e731ba9c3dd1ed05de94">Information</a> (const char *function, int line, const char *format,...) const </td></tr>
<tr class="memdesc:aec1974099e78e731ba9c3dd1ed05de94 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted information.  <a href="#aec1974099e78e731ba9c3dd1ed05de94">More...</a><br /></td></tr>
<tr class="separator:aec1974099e78e731ba9c3dd1ed05de94 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb73af04b52a2ba67a2d2ce1a74330a2 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#abb73af04b52a2ba67a2d2ce1a74330a2">Warning</a> (const char *function, const char *format,...) const </td></tr>
<tr class="memdesc:abb73af04b52a2ba67a2d2ce1a74330a2 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted warning.  <a href="#abb73af04b52a2ba67a2d2ce1a74330a2">More...</a><br /></td></tr>
<tr class="separator:abb73af04b52a2ba67a2d2ce1a74330a2 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f48a765168b2fe4a629234e0b778559 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a6f48a765168b2fe4a629234e0b778559">Error</a> (const char *function, const char *format,...) const </td></tr>
<tr class="memdesc:a6f48a765168b2fe4a629234e0b778559 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted error.  <a href="#a6f48a765168b2fe4a629234e0b778559">More...</a><br /></td></tr>
<tr class="separator:a6f48a765168b2fe4a629234e0b778559 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a56a6221f2ce124d7c53b15a423a47b08 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a56a6221f2ce124d7c53b15a423a47b08">ErrorOccured</a> (bool recursive=true) const </td></tr>
<tr class="memdesc:a56a6221f2ce124d7c53b15a423a47b08 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Has an errror occured?  <a href="#a56a6221f2ce124d7c53b15a423a47b08">More...</a><br /></td></tr>
<tr class="separator:a56a6221f2ce124d7c53b15a423a47b08 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_types_classframework_1_1core_1_1_object"><td colspan="2" onclick="javascript:toggleInherit('pub_types_classframework_1_1core_1_1_object')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td></tr>
<tr class="memitem:a7201b52b50f64586d1ea82cc1f6a2e6f inherit pub_types_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7201b52b50f64586d1ea82cc1f6a2e6f"></a>enum &#160;</td><td class="memItemRight" valign="bottom"><b>color_t</b> { <b>Auto</b> =0, 
<b>Red</b> =31, 
<b>Green</b> =32, 
<b>Orange</b> =33
 }</td></tr>
<tr class="separator:a7201b52b50f64586d1ea82cc1f6a2e6f inherit pub_types_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_classframework_1_1core_1_1_i_o_device"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classframework_1_1core_1_1_i_o_device')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classframework_1_1core_1_1_i_o_device.html">framework::core::IODevice</a></td></tr>
<tr class="memitem:a50eb13bc82e98bc0e170d77bba026de4 inherit pro_methods_classframework_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_i_o_device.html#a50eb13bc82e98bc0e170d77bba026de4">ProcessUpdate</a> (<a class="el" href="classframework_1_1core_1_1io__data.html">io_data</a> *data)</td></tr>
<tr class="memdesc:a50eb13bc82e98bc0e170d77bba026de4 inherit pro_methods_classframework_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Process the childs of type <a class="el" href="classframework_1_1core_1_1_i_o_device.html" title="Abstract class for input/ouput system. ">IODevice</a>, and log if needed.  <a href="#a50eb13bc82e98bc0e170d77bba026de4">More...</a><br /></td></tr>
<tr class="separator:a50eb13bc82e98bc0e170d77bba026de4 inherit pro_methods_classframework_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a120d64070906a39d21c6fe0953c6fa2a inherit pro_methods_classframework_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_i_o_device.html#a120d64070906a39d21c6fe0953c6fa2a">SetDataToLog</a> (const <a class="el" href="classframework_1_1core_1_1io__data.html">io_data</a> *data)</td></tr>
<tr class="memdesc:a120d64070906a39d21c6fe0953c6fa2a inherit pro_methods_classframework_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the <a class="el" href="classframework_1_1core_1_1io__data.html" title="Abstract class for data types. ">io_data</a> to be logged.  <a href="#a120d64070906a39d21c6fe0953c6fa2a">More...</a><br /></td></tr>
<tr class="separator:a120d64070906a39d21c6fe0953c6fa2a inherit pro_methods_classframework_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Class creating references from a joystick. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="af7e7ad7389edb9c5aee043017161e946"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">framework::sensor::JoyReference::JoyReference </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classframework_1_1gui_1_1_layout_position.html">gui::LayoutPosition</a> *&#160;</td>
          <td class="paramname"><em>position</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>name</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Constructor. </p>
<p>Construct a <a class="el" href="classframework_1_1sensor_1_1_joy_reference.html" title="Class creating references from a joystick. ">JoyReference</a> at given position. <br />
The <a class="el" href="classframework_1_1sensor_1_1_joy_reference.html" title="Class creating references from a joystick. ">JoyReference</a> will automatically be child of position-&gt;getLayout() Layout. After calling this function, position will be deleted as it is no longer usefull. <br />
<a class="el" href="classframework_1_1sensor_1_1_joy_reference.html" title="Class creating references from a joystick. ">JoyReference</a> compute reference in quaternion, wz, altitude and altitude speed.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">position</td><td>position </td></tr>
    <tr><td class="paramname">name</td><td>name </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a568e6b551b56ef7dfefe73c80fc58f0e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">framework::sensor::JoyReference::~JoyReference </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Destructor. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a5c6a901d5e4fb9b04871020f4e9aaff6"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void framework::sensor::JoyReference::SetRollAxis </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set roll axis value. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">value</td><td>value </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ad7ea452d0ffd8bb5852d68db3333c38a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void framework::sensor::JoyReference::SetPitchAxis </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set pitch axis value. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">value</td><td>value </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a7465c06915d68feb443faff90dffb5fc"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void framework::sensor::JoyReference::SetYawAxis </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set yaw axis value. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">value</td><td>value </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a3f64478de309fdac809acb869e142b6d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void framework::sensor::JoyReference::SetAltitudeAxis </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set thrust axis value. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">value</td><td>value </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a2e18dfe709d1f4ddea410eb5a1258b81"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void framework::sensor::JoyReference::QuaternionRef </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classframework_1_1core_1_1_quaternion.html">core::Quaternion</a> &amp;&#160;</td>
          <td class="paramname"><em>quat</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get quaternion reference. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">quat</td><td>quaternion reference </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="aa6109ba59cc6da5a4a8e4b1a473eaf67"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float framework::sensor::JoyReference::WzRef </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get angular speed reference. </p>
<dl class="section return"><dt>Returns</dt><dd>reference </dd></dl>

</div>
</div>
<a class="anchor" id="a12e5ab81958567ca3b573dc556c468ef"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float framework::sensor::JoyReference::ZRef </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get z reference. </p>
<dl class="section return"><dt>Returns</dt><dd>reference </dd></dl>

</div>
</div>
<a class="anchor" id="ac1c845dcaffafa00ca26bf68f5159716"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float framework::sensor::JoyReference::DzRef </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get z derivative reference. </p>
<dl class="section return"><dt>Returns</dt><dd>reference </dd></dl>

</div>
</div>
<a class="anchor" id="aa8f84b283f942b0cf3bd06330f74b368"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float framework::sensor::JoyReference::RollTrim </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get roll trim. </p>
<dl class="section return"><dt>Returns</dt><dd>trim value </dd></dl>

</div>
</div>
<a class="anchor" id="a5a8d0fbb7d2d73bde828eb95da1cb6d4"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float framework::sensor::JoyReference::PitchTrim </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get pitch trim. </p>
<dl class="section return"><dt>Returns</dt><dd>trim value </dd></dl>

</div>
</div>
<a class="anchor" id="a50fecb8409dfe8d2887abec507eda8b8"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void framework::sensor::JoyReference::SetYawRef </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set yaw reference. </p>
<p>Yaw part of the output quaternion is obtained by integrating the wz desired angular speed.<br />
This method reset the yaw.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">value</td><td>value </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a15f682625ebab5d425a07679c9742711"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void framework::sensor::JoyReference::SetYawRef </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classframework_1_1core_1_1_quaternion.html">core::Quaternion</a> const &amp;&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set yaw reference. </p>
<p>Yaw part of the output quaternion is obtained by integrating the wz desired angular speed.<br />
This method reset the yaw.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">value</td><td>value, only the yaw part of the quaternion is used </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ab0c475744dd24a148f5cf02900c51547"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void framework::sensor::JoyReference::SetZRef </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set z reference. </p>
<p>Altitude of the output is obtained by integrating the vz desired altitude speed.<br />
This method reset z.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">value</td><td>value </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a178b15ed7b9948258acaeb3bfe943922"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void framework::sensor::JoyReference::RollTrimUp </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Trim up roll. </p>
<p>Roll trim value is increased by one </p>

</div>
</div>
<a class="anchor" id="ae0738048547a2f069cdc02cfd9d2ed76"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void framework::sensor::JoyReference::RollTrimDown </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Trim down roll. </p>
<p>Roll trim value is decreased by one </p>

</div>
</div>
<a class="anchor" id="a0f37b3dff0b30514141353f0c3067f6f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void framework::sensor::JoyReference::PitchTrimUp </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Trim up pitch. </p>
<p>Pitch trim value is increased by one </p>

</div>
</div>
<a class="anchor" id="a0ba2576ba656f40b2bc0a7cf7f0ecb97"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void framework::sensor::JoyReference::PitchTrimDown </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Trim down pitch. </p>
<p>Pitch trim value is decreased by one </p>

</div>
</div>
<a class="anchor" id="a586a8834831499a48e57443f78ed918f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classframework_1_1core_1_1cvmatrix.html">core::cvmatrix</a>* framework::sensor::JoyReference::State </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>State matrix. </p>
<p>State matrix is of size (6,1) and type Float. <br />
State(0,0): roll State(1,0): pitch State(2,0): yaw State(3,0): wz State(4,0): z State(5,0): dz</p>
<p>It should only be used for plotting. Values are in degrees.</p>
<dl class="section return"><dt>Returns</dt><dd>state matrix </dd></dl>

</div>
</div>
<a class="anchor" id="acdcd107c81c7e8803ae2290f2c6877aa"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void framework::sensor::JoyReference::Update </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceframework_1_1core.html#a556a09521d9b94e1c9f0bfe6744d611d">core::Time</a>&#160;</td>
          <td class="paramname"><em>time</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Update references. </p>
<p>Calls UpdateFrom with values entered manually.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">time</td><td>time </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceframework.html">framework</a></li><li class="navelem"><a class="el" href="namespaceframework_1_1sensor.html">sensor</a></li><li class="navelem"><a class="el" href="classframework_1_1sensor_1_1_joy_reference.html">JoyReference</a></li>
    <li class="footer">Generated on Mon Feb 29 2016 16:13:50 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.7 </li>
  </ul>
</div>
</body>
</html>
